TestTilesPlugin (Struts Tiles 1.3.10 Test API)

Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles
Class TestTilesPlugin

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.struts.mock.TestMockBase
                  org.apache.struts.tiles.TestTilesPlugin

All Implemented Interfaces:
  junit.framework.Test

    public class TestTilesPlugin

extends org.apache.struts.mock.TestMockBase

Field Summary
`protected org.apache.struts.mock.MockActionServlet` | `actionServlet`
`protected ModuleConfig` | `module1`
`protected ModuleConfig` | `module2`

Fields inherited from class org.apache.struts.mock.TestMockBase
`config, context, moduleConfig, moduleConfig2, moduleConfig3, page, principal, request, response, session`

Constructor Summary
`TestTilesPlugin(String name)`

Method Summary
`ModuleConfig` | `createModuleConfig(String moduleName, String configFileName, boolean moduleAware)` Create a module configuration
`void` | `initModulePlugIns(ModuleConfig moduleConfig)` Fake call to init module plugins
`static void` | `main(String[] args)`
`void` | `setUp()`
`static junit.framework.Test` | `suite()`
`void` | `tearDown()`
`void` | `testI18FactorySet_A()` Test I18nFactorySet.
`void` | `testI18FactorySet_B()` Test I18nFactorySet.
`void` | `testMultiFactory()` Test multi factory creation when moduleAware=true.
`void` | `testSingleSharedFactory()` Test single factory creation when moduleAware=false.

Methods inherited from class org.apache.struts.mock.TestMockBase
`setUpDefaultApp, setUpSecondApp, setUpThirdApp, testUtilBaseEnvironment`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### module1

    protected ModuleConfig module1

### module2

    protected ModuleConfig module2

### actionServlet

    protected org.apache.struts.mock.MockActionServlet actionServlet

Constructor Detail

### TestTilesPlugin

    public TestTilesPlugin(String name)

Method Detail

### main

    public static void main(String[] args)

### suite

    public static junit.framework.Test suite()

### setUp

    public void setUp()

  Overrides:
    `setUp` in class `org.apache.struts.mock.TestMockBase`

### tearDown

    public void tearDown()

  Overrides:
    `tearDown` in class `org.apache.struts.mock.TestMockBase`

### createModuleConfig

    public ModuleConfig createModuleConfig(String moduleName,
                                           String configFileName,
                                           boolean moduleAware)

  Create a module configuration

  Parameters:
    `moduleName` -

### initModulePlugIns

    public void initModulePlugIns(ModuleConfig moduleConfig)

  Fake call to init module plugins

  Parameters:
    `moduleConfig` -

### testMultiFactory

    public void testMultiFactory()

  Test multi factory creation when moduleAware=true.

### testSingleSharedFactory

    public void testSingleSharedFactory()

  Test single factory creation when moduleAware=false.

### testI18FactorySet_A

    public void testI18FactorySet_A()

  Test I18nFactorySet.

### testI18FactorySet_B

    public void testI18FactorySet_B()

  Test I18nFactorySet.

Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.